Bug 18040 - Updating buttons on Tools->Upload Local Cover Image
Summary: Updating buttons on Tools->Upload Local Cover Image
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17873
  Show dependency treegraph
 
Reported: 2017-02-02 22:58 UTC by Aleisha Amohia
Modified: 2017-02-19 20:44 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18040: Updating buttons in Tools -> Upload local cover image (1.61 KB, patch)
2017-02-02 23:01 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18040: Updating buttons in Tools -> Upload local cover image (1.66 KB, patch)
2017-02-03 14:06 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18040: Updating buttons in Tools -> Upload local cover image (1.72 KB, patch)
2017-02-14 12:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18040: Updating buttons in Tools -> Upload local cover image (1.73 KB, patch)
2017-02-16 10:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-02-02 22:58:42 UTC
There are two buttons on this page - Upload file, Process images - and they have different styling and look ugly. Should use bootstrap3 styling
Comment 1 Aleisha Amohia 2017-02-02 23:01:09 UTC
Created attachment 59833 [details] [review]
Bug 18040: Updating buttons in Tools -> Upload local cover image

To test:
1) Go to Tools -> Upload local cover image
2) Select an image and click Upload file
3) Notice Process images button looks different to Upload file button
4) Apply patch and refresh page
5) Follow steps 1-3 again and notice the changed styling of the buttons

Sponsored-by: Catalyst IT
Comment 2 M. Tompsett 2017-02-03 14:06:25 UTC
Created attachment 59884 [details] [review]
Bug 18040: Updating buttons in Tools -> Upload local cover image

To test:
1) Go to Tools -> Upload local cover image
2) Select an image and click Upload file
3) Notice Process images button looks different to Upload file button
4) Apply patch and refresh page
5) Follow steps 1-3 again and notice the changed styling of the buttons

Sponsored-by: Catalyst IT

NOTE: Kind of sad that the input type="file" is harder to style.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Jonathan Druart 2017-02-14 12:49:46 UTC
Created attachment 60200 [details] [review]
Bug 18040: Updating buttons in Tools -> Upload local cover image

To test:
1) Go to Tools -> Upload local cover image
2) Select an image and click Upload file
3) Notice Process images button looks different to Upload file button
4) Apply patch and refresh page
5) Follow steps 1-3 again and notice the changed styling of the buttons

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2017-02-16 10:45:43 UTC
Created attachment 60316 [details] [review]
Bug 18040: Updating buttons in Tools -> Upload local cover image

To test:
1) Go to Tools -> Upload local cover image
2) Select an image and click Upload file
3) Notice Process images button looks different to Upload file button
4) Apply patch and refresh page
5) Follow steps 1-3 again and notice the changed styling of the buttons

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2017-02-17 15:46:51 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 6 Katrin Fischer 2017-02-19 20:44:21 UTC
This won't get ported back to 16.11.x as it is an enhancement and the bootstrap update is not part of 16.11.x.